<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hssf.usermodel.HSSFCellStyle (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hssf.usermodel.HSSFCellStyle (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFCellStyle.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFCellStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hssf.usermodel.HSSFCellStyle" class="title">Uses of Class<br>org.apache.poi.hssf.usermodel.HSSFCellStyle
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                        title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a> in <a
                            href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#buildStyle-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-">buildStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#getStyleClassName-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-">getStyleClassName</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processCellStyle-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFCellStyle-org.w3c.dom.Element-org.w3c.dom.Element-">processCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;cellStyle,
                                org.w3c.dom.Element&nbsp;cellTarget,
                                org.w3c.dom.Element&nbsp;blockTarget)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#createCellStyle--">createCellStyle</a></span>()</code>
                                <div class="block">Create a new Cell style and add it to the workbook's style table.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getCellStyle--">getCellStyle</a></span>()</code>
                                <div class="block">get the style for the cell.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#getCellStyleAt-int-">getCellStyleAt</a></span>(int&nbsp;idx)</code>
                                <div class="block">get the cell style object at the given index</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#getColumnStyle-int-">getColumnStyle</a></span>(int&nbsp;column)</code>
                                <div class="block">Returns the HSSFCellStyle that applies to the given
                                    (0 based) column, or null if no style has been
                                    set for that column
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#getParentStyle--">getParentStyle</a></span>()</code>
                                <div class="block">Return the parent style for this cell style.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getRowStyle--">getRowStyle</a></span>()</code>
                                <div class="block">Returns the whole-row cell styles.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html#cloneStyleFrom-org.apache.poi.hssf.usermodel.HSSFCellStyle-">cloneStyleFrom</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;source)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#setCellStyle-org.apache.poi.hssf.usermodel.HSSFCellStyle-">setCellStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;style)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setRowStyle-org.apache.poi.hssf.usermodel.HSSFCellStyle-">setRowStyle</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;style)</code>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFCellStyle.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFCellStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
